All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.commands.remotefileselector.ifileservice
Class AddFolderCommand

    com.sas.commands.remotefileselector.ifileservice.AddFolderCommand

All Implemented Interfaces:
  ContentsChangedInterface, DynamicAttributeCommandInterface, BaseEntityInterface, BaseEntityValueInterface, EntityKeyInterface, com.sas.lang.StringDataInterface, com.sas.PublicClonable, com.sas.util.Command, com.sas.util.SimpleCommand, java.lang.Cloneable, java.rmi.Remote

    public class AddFolderCommand

implements ContentsChangedInterface

This class implements the add new folder command.

Since:
  3.1

Field Summary
`static java.lang.String` | `RB_KEY` the resource key

Fields inherited from interface com.sas.commands.DynamicAttributeCommandInterface
`COMMAND_NAME_PREFIX`

Constructor Summary
`AddFolderCommand()` Default constructor
`AddFolderCommand(java.lang.String name)` Constructor that accepts a command name.
`AddFolderCommand(java.lang.String name, java.lang.String actionClass)` Constructor that accepts a command name and an action class type.

Method Summary
`void` | `execute(java.lang.Object o)` Performs the add folder operation on the model.
`java.util.HashMap` | `getEventInfo()` Returns information about the command.
`java.lang.Object` | `getEventSource()` Returns the event source item "path".
`RemoteFileServerModelInterface` | `getModel()` Returns the current value of the model attribute.
`java.lang.String` | `getNewName()` Returns the new folder's name.
`java.lang.String` | `getPath()` Returns the current path attribute value.
`IFileServiceModel` | `getServiceModel()` Returns the current serviceModel attribute value.
`boolean` | `isContentsChanged()` Tests whether the contents are changed.
`boolean` | `isSupported(ActionSupportFilter actionFilter)` Returns a boolean indicating whether the command is supported for the area specified on the ActionSupportFilter argument.
`void` | `setEventSource(java.lang.Object eventSource)` Allows setting of the event source.
`void` | `setModel(RemoteFileServerModelInterface model)` Sets the model attribute value of the command.
`void` | `setNewName(java.lang.String newName)` Sets the new folder name.
`void` | `setPath(java.lang.String path)` Sets the path attribute for the command.
`void` | `setRenameFlag(boolean flag)` Allows setting of the rename mode flag.
`void` | `setServiceModel(IFileServiceModel serviceModel)` Sets the serviceModel attribute used by the command.

Methods inherited from class com.sas.commands.BaseCommand
`getLocale, getName, getNextCommandName, getText, isExecutable, isUndoable, setLocale, setName, setText, undo`

Methods inherited from class com.sas.entities.BaseEntity
`clone, containsAttributeNamed, equals, equals, getAttribute, getAttribute, getAttributeCount, getAttributes, getEntityKey, getPropertyDescriptors, getStringAttribute, listAttributeNames, removeAllAttributes, removeAttribute, reset, sameEntity, setAttribute, setAttributes, setEntityKey, toString`

Methods inherited from interface com.sas.entities.BaseEntityValueInterface
`getAttribute, setAttribute`

Methods inherited from interface com.sas.util.Command
`clone`

Field Detail

### RB_KEY

    public static final java.lang.String RB_KEY

  the resource key

  See Also:
    Constant Field Values

Constructor Detail

### AddFolderCommand

    public AddFolderCommand()

  Default constructor

### AddFolderCommand

    public AddFolderCommand(java.lang.String name)

  Constructor that accepts a command name.

  Parameters:
    `name` - the command name

### AddFolderCommand

    public AddFolderCommand(java.lang.String name,
                            java.lang.String actionClass)

  Constructor that accepts a command name and an action class type.

  Parameters:
    `name` - the command name
    `actionClass` - the action class type

Method Detail

### execute

    public void execute(java.lang.Object o)
                 throws java.lang.IllegalArgumentException

  Performs the add folder operation on the model.

  Specified by:
    `execute` in interface `com.sas.util.SimpleCommand`
  Specified by:
    `execute` in class `BaseCommand`
  Parameters:
    `o` - the object where the command is executed.
  Throws:
    `java.lang.IllegalArgumentException`

### isContentsChanged

    public boolean isContentsChanged()

  Tests whether the contents are changed.

  Specified by:
    `isContentsChanged` in interface `ContentsChangedInterface`
  Returns:
    true = contents are changed

### getEventInfo

    public java.util.HashMap getEventInfo()

  Returns information about the command.

  Specified by:
    `getEventInfo` in interface `ContentsChangedInterface`
  Returns:
    a HashMaP containing the path where the add took place

### getEventSource

    public java.lang.Object getEventSource()

  Returns the event source item "path".

  Specified by:
    `getEventSource` in interface `ContentsChangedInterface`
  Returns:
    the event source
  See Also:
    `setEventSource(Object)`

### setEventSource

    public void setEventSource(java.lang.Object eventSource)

  Allows setting of the event source.

  Parameters:
    `eventSource` - the item to set as the event source
  See Also:
    `getEventSource()`

### isSupported

    public boolean isSupported(ActionSupportFilter actionFilter)

  Returns a boolean indicating whether the command is supported for the area specified on the ActionSupportFilter argument.

  Parameters:
    `actionFilter` - The object that describes the current area.
  Returns:
    a boolean indicating whether the command is supported.

### setServiceModel

    public void setServiceModel(IFileServiceModel serviceModel)

  Sets the serviceModel attribute used by the command.

  Parameters:
    `serviceModel` - the service model object
  See Also:
    `getServiceModel()`

### getServiceModel

    public IFileServiceModel getServiceModel()

  Returns the current serviceModel attribute value.

  Returns:
    the service model object
  See Also:
    `setServiceModel(IFileServiceModel)`

### setPath

    public void setPath(java.lang.String path)

  Sets the path attribute for the command.

  Parameters:
    `path` - the file system path
  See Also:
    `getPath()`

### getPath

    public java.lang.String getPath()

  Returns the current path attribute value.

  Returns:
    the path value
  See Also:
    `setPath(String)`

### setNewName

    public void setNewName(java.lang.String newName)

  Sets the new folder name. Used for the rename portion of adding a new folder.

  Parameters:
    `newName` - the new folder name
  See Also:
    `getNewName()`

### getNewName

    public java.lang.String getNewName()

  Returns the new folder's name.

  Returns:
    the folder's name
  See Also:
    `setNewName(String)`

### setModel

    public void setModel(RemoteFileServerModelInterface model)

  Sets the model attribute value of the command.

  Parameters:
    `model` - the model object
  See Also:
    `getModel()`

### getModel

    public RemoteFileServerModelInterface getModel()

  Returns the current value of the model attribute.

  Returns:
    the current value of the model attribute.
  See Also:
    `setModel(RemoteFileServerModelInterface)`

### setRenameFlag

    public void setRenameFlag(boolean flag)

  Allows setting of the rename mode flag.

  Parameters:
    `flag` - true = renaming the folder, false = adding a new default folder

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.